Loading...
Searching...
No Matches
file_reader.hpp File Reference

Provides raptor::file_reader. More...

`#include <seqan3/io/sequence_file/input.hpp>`
`#include <seqan3/search/views/minimiser_hash.hpp>`
`#include <raptor/adjust_seed.hpp>`
`#include <raptor/dna4_traits.hpp>`

Go to the source code of this file.

## Classes

class | raptor::file_reader< file_type >
class | raptor::file_reader< file_types::minimiser >
class | raptor::file_reader< file_types::sequence >

## Enumerations

enum class | file_types { sequence , minimiser }

## Detailed Description

Provides raptor::file_reader.

Author
  Enrico Seiler <enrico.seiler AT fu-berlin.de>